| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

EasySMU_IOpanel.cpp File Reference
Example Designs » EasySMU: I2C Address Translator Demonstration and a Simple Multi-Channel Source Measurement Unit

EasySMU_IOpanel Library to Enable Touchscreen Control of EasySMU. More...

## Detailed Description

EasySMU_IOpanel Library to Enable Touchscreen Control of EasySMU.

User Guide
Schematic
Top-Level Linduino Firmware for EasySMU
EasySMU Class Reference
EasySMU_IOpanel Class Reference
EasySMU Webpage

    EasySMU: I2C Address Translator Demonstration and a Simple Multi-Channel Source Measurement Unit

    LTC4316: Single I2C/SMBus Address Translator
    LT1970A: Power Op Amp with Adjustable Precision Current Limit
    LT5400:  Quad Matched Resistor Network
    LTC2655: Quad I2C 16-/12-Bit Rail-to-Rail DACs with 10ppm/°C Max Reference
    LTC3265: Low Noise Dual Supply with Boost and Inverting Charge Pumps
    LTC2051: Dual Zero-Drift Operational Amplifier
    LT3010:  50mA, 3V to 80V Low Dropout Micropower Linear Regulator
    LT1991:  Precision, 100µA Gain Selectable Amplifier
    LTC6655: 0.25ppm Noise, Low Drift Precision Reference
    LTC2485: 24-Bit ΔΣ ADC with Easy Drive Input Current Cancellation and I2C Interface

    EasySMU is a single-channel ±12V/40mA programmable-voltage/programmable-current
    source with accurate voltage/current measurement capability. The LTC4316 I2C
    Address Translator enables up to eight independent EasySMUs to be controlled
    by a single I2C master.

    In this demonstration, each EasySMU board contains four I2C slaves and the
    associated components to implement a single-channel ±12V/40mA programmable-
    voltage/programmable-current source. The LTC4316 translates the I2C addresses
    of each EasySMU to a unique set of addresses, enabling up to eight EasySMU
    boards to be stacked on a single Linduino (I2C master). In this form, it
    resembles a multi-channel automated test system. Alternatively, an optional
    touchscreen allows the user to interactively control up to four channels,
    forming a compact multi-channel programmable-voltage/programmable-current
    bench source for lab testing, powered from a single 12V AC wall adapter.

    The primary purpose of the EasySMU is to demonstrate the LTC4316 I2C Address
    Translator. The programmable-voltage/programmable-current source and meter
    also provide a convenient demonstration of the associated components: LT1970A,
    LT5400-3, LTC2655-H, LTC3265, LTC2051, LT3010, LT1991, LTC6655, and LTC2485.
    While the EasySMU is not designed to demonstrate the ultimate performance that
    can be obtained from each of those components, the EasySMU does provide
    impressive results from a reasonably simple circuit.

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

EasySMU_IOpanel Library to Enable Touchscreen Control of EasySMU

Definition in file EasySMU_IOpanel.cpp.

Go to the source code of this file.